import React, { useState, useEffect } from "react";
import { getStatus } from "../../domain/GGSHService";

const useApiHeath = () => {
  const [data, setData] = useState(null);
  useEffect(() => { getStatus().then(setData) }, []);
  return data;
}

export default () => {
  const data = useApiHeath();
  
  if (data === null) {
    return <p>Connecting to back-end...</p>
  }
  
  const { status, version } = data;
  return status === "healthy"
    ? <p>API Version: {version}</p>
    : <p>Unable to communicate with API server! Error: {status}</p>
}
